<?php

/**
 * @package     Extly.Components
 * @subpackage  JbAffixMenu - Affix menu based on Twitter's Bootstrap
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

// Include the syndicate functions only once
require_once dirname(__FILE__) . '/helper.php';

$list = modJbAffixMenuHelper::getList($params);
$app = JFactory::getApplication();

$menu = $app->getMenu();
$nojquery = $params->get('nojquery', 0);
$noaffix = $params->get('noaffix', 0);
$affixmenu_class = $params->get('affixmenu_class', '.jbmenu-affix');
$width = $params->get('width', 0);
$top = $params->get('top', 0);
$topaffix = $params->get('topaffix', 0);

$active = $menu->getActive();
$active_id = isset($active) ? $active->id : $menu->getDefault()->id;
$path = isset($active) ? $active->tree : array();
$showAll = $params->get('showAllChildren');
$class_sfx = htmlspecialchars($params->get('class_sfx'));

$doc = JFactory::getDocument();

if (!$nojquery)
{
	$doc->addScript('modules/mod_jbaffixmenu/js/jquery.min.js');
}

if (!$noaffix)
{
	$doc->addScript('modules/mod_jbaffixmenu/js/bootstrap-affix.min.js');
}

$doc->addScriptDeclaration('
		jQuery.noConflict();

		// Handler for .ready() called.
		jQuery(document).ready(function() {

		// side bar
		jQuery(\'' . $affixmenu_class . '\').affix({
      offset: {
        top: ' . $top . '
      }
    });

});
		');

if ($width)
{
	$doc->addStyleDeclaration(
			$affixmenu_class . ' {
width:' . $width . 'px;
}
.affix {
    top:' . $topaffix . 'px;
    position: fixed;
}
');
}

if (count($list))
{
	require JModuleHelper::getLayoutPath('mod_jbaffixmenu', $params->get('layout', 'default'));
}
